falcon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FALCON-1979) Update HttpClient versions to close security vulnerabilities
Date Tue, 24 May 2016 21:56:12 GMT

    [ https://issues.apache.org/jira/browse/FALCON-1979?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15299006#comment-15299006
] 

ASF GitHub Bot commented on FALCON-1979:
----------------------------------------

GitHub user bvellanki opened a pull request:

    https://github.com/apache/falcon/pull/159

    FALCON-1979 Update HttpClient versions to close security vulnerabilities

    

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/bvellanki/falcon FALCON-1979

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/falcon/pull/159.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #159
    
----
commit 6053a5cd58caea1dd1060cce309f7e37742ca6b7
Author: bvellanki <bvellanki@hortonworks.com>
Date:   2016-05-24T21:53:37Z

    FALCON-1979 Update HttpClient versions to close security vulnerabilities

----


> Update HttpClient versions to close security vulnerabilities
> ------------------------------------------------------------
>
>                 Key: FALCON-1979
>                 URL: https://issues.apache.org/jira/browse/FALCON-1979
>             Project: Falcon
>          Issue Type: Bug
>            Reporter: Balu Vellanki
>            Assignee: Balu Vellanki
>             Fix For: 0.10
>
>
> We learned that 
> https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-5262 : http/conn/ssl/SSLConnectionSocketFactory.java
in Apache HttpComponents HttpClient before 4.3.6 ignores the http.socket.timeout configuration
setting during an SSL handshake, which allows remote attackers to cause a denial of service
(HTTPS call hang) via unspecified vectors.
> https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-6153
> https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-5783
> Apache Commons HttpClient 3.x, as used in Amazon Flexible Payments Service (FPS) merchant
Java SDK and other products, does not verify that the server hostname matches a domain name
in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which
allows man-in-the-middle attackers to spoof SSL servers via an arbitrary valid certificate.
> Hence, HttpClient version should be updated. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message